
package net.brutex.sbm.wsclient;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for GetReportsResult complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="GetReportsResult">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="queryRange" type="{urn:aewebservices71}QueryRange"/>
 *         &lt;element name="report" type="{urn:aewebservices71}ReportInfo" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GetReportsResult", propOrder = {
    "queryRange",
    "report"
})
public class GetReportsResult {

    @XmlElement(required = true)
    protected QueryRange queryRange;
    protected List<ReportInfo> report;

    /**
     * Gets the value of the queryRange property.
     * 
     * @return
     *     possible object is
     *     {@link QueryRange }
     *     
     */
    public QueryRange getQueryRange() {
        return queryRange;
    }

    /**
     * Sets the value of the queryRange property.
     * 
     * @param value
     *     allowed object is
     *     {@link QueryRange }
     *     
     */
    public void setQueryRange(QueryRange value) {
        this.queryRange = value;
    }

    /**
     * Gets the value of the report property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the report property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getReport().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ReportInfo }
     * 
     * 
     */
    public List<ReportInfo> getReport() {
        if (report == null) {
            report = new ArrayList<ReportInfo>();
        }
        return this.report;
    }

}
